package com.cxzx.taide;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class ReferenceAction {

    @JsonProperty("data")
    private DataDTO data;
    @JsonProperty("eventType")
    private String eventType;

    @NoArgsConstructor
    @Data
    public static class DataDTO {
        @JsonProperty("auditFlag")
        private Integer auditFlag;
        @JsonProperty("newFuseId")
        private Long newFuseId;
        @JsonProperty("idaasGroupId")
        private String idaasGroupId;
        @JsonProperty("handlerPhone")
        private String handlerPhone;
        @JsonProperty("appId")
        private String appId;
        @JsonProperty("fuseId")
        private Long fuseId;
        @JsonProperty("action")
        private Integer action;
        @JsonProperty("recommendChannel")
        private Integer recommendChannel;
        @JsonProperty("token")
        private String token;
    }
}
