cd `dirname $0`
cd ../

version=$(date +%s)
docker build -t registry.cn-chengdu.aliyuncs.com/cxzx-spider/binlog:$version .
docker push registry.cn-chengdu.aliyuncs.com/cxzx-spider/binlog:$version
sed -i "s!{ { image } }!registry\.cn-chengdu\.aliyuncs\.com/cxzx-spider/binlog:$version!g" deploy/taide-binlog.yml
sed -i "s!{ { image } }!registry\.cn-chengdu\.aliyuncs\.com/cxzx-spider/binlog:$version!g" deploy/huaqiyun-binlog.yml

kubectl apply -f deploy/taide-binlog.yml
kubectl apply -f deploy/huaqiyun-binlog.yml
