package com.cxzx.taide;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class CreateAction {

    @JsonProperty("data")
    private DataDTO data;
    @JsonProperty("eventType")
    private String eventType;

    @NoArgsConstructor
    @Data
    public static class DataDTO {
        @JsonProperty("itemType")
        private Integer itemType;
        @JsonProperty("playTimes")
        private Integer playTimes;
        @JsonProperty("publishDate")
        private String publishDate;
        @JsonProperty("recommend")
        private Integer recommend;
        @JsonProperty("title")
        private String title;
        @JsonProperty("content")
        private String content;
        @JsonProperty("photo4")
        private String photo4;
        @JsonProperty("duration")
        private String duration;
        @JsonProperty("idaasGroupId")
        private String idaasGroupId;
        @JsonProperty("videoUrl")
        private String videoUrl;
        @JsonProperty("handlerPhone")
        private String handlerPhone;
        @JsonProperty("appId")
        private String appId;
        @JsonProperty("likeShare")
        private Integer likeShare;
        @JsonProperty("action")
        private Integer action;
        @JsonProperty("tag")
        private String tag;
        @JsonProperty("keyword")
        private String keyword;
        @JsonProperty("contentType")
        private String contentType;
        @JsonProperty("docZan")
        private Integer docZan;
        @JsonProperty("author")
        private String author;
        @JsonProperty("docType")
        private Integer docType;
        @JsonProperty("fuseId")
        private Long fuseId;
        @JsonProperty("allowComment")
        private Integer allowComment;
        @JsonProperty("token")
        private String token;
        @JsonProperty("docFrom")
        private String docFrom;
        @JsonProperty("allowAdvert")
        private Integer allowAdvert;
        @JsonProperty("isAudio")
        private Integer isAudio;
        @JsonProperty("showAvatar")
        private Integer showAvatar;
        @JsonProperty("channelID")
        private Integer channelID;
        @JsonProperty("showRead")
        private Integer showRead;
    }
}
