package com.cxzx.taide;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class PublishAction {

    @JsonProperty("data")
    private DataDTO data;
    @JsonProperty("eventType")
    private String eventType;

    @NoArgsConstructor
    @Data
    public static class DataDTO {
        @JsonProperty("idaasGroupId")
        private String idaasGroupId;
        @JsonProperty("appId")
        private String appId;
        @JsonProperty("fuseId")
        private Long fuseId;
        @JsonProperty("action")
        private Integer action;
        @JsonProperty("channelID")
        private Integer channelID;
        @JsonProperty("token")
        private String token;
    }
}
